
_init_main:

;MyProject.c,5 :: 		void init_main (void){
;MyProject.c,6 :: 		ADCON1 |= 0x0F;      // Configure AN pins as digital
	MOVLW       15
	IORWF       ADCON1+0, 1 
;MyProject.c,7 :: 		CMCON  |= 7;         // Disable comparators
	MOVLW       7
	IORWF       CMCON+0, 1 
;MyProject.c,8 :: 		INTCON2.B7 = 0;      // enable pullups on port b
	BCF         INTCON2+0, 7 
;MyProject.c,9 :: 		TRISB = 0;           // use port b for this example
	CLRF        TRISB+0 
;MyProject.c,10 :: 		PORTB = 0;
	CLRF        PORTB+0 
;MyProject.c,13 :: 		rs232_init();
	CALL        _rs232_init+0, 0
;MyProject.c,14 :: 		asm nop;
	NOP
;MyProject.c,15 :: 		asm nop;
	NOP
;MyProject.c,19 :: 		IPEN_bit = 1;        // enable hi/lo prioritires
	BSF         IPEN_bit+0, 7 
;MyProject.c,20 :: 		RCIP_bit = 1;        // hi priority
	BSF         RCIP_bit+0, 5 
;MyProject.c,21 :: 		RCIE_bit = 1;        // rs232 interrupt en
	BSF         RCIE_bit+0, 5 
;MyProject.c,22 :: 		GIEL_bit = 1;        // all interrupts ON
	BSF         GIEL_bit+0, 6 
;MyProject.c,23 :: 		GIEH_bit = 1;        // all interrupts ON
	BSF         GIEH_bit+0, 7 
;MyProject.c,24 :: 		asm nop;
	NOP
;MyProject.c,25 :: 		asm nop;
	NOP
;MyProject.c,26 :: 		}
L_end_init_main:
	RETURN      0
; end of _init_main

_interrupt:

;MyProject.c,29 :: 		void interrupt(void) //or 'int_hi_priority() iv 0x0008'
;MyProject.c,31 :: 		if (RCIF_bit)
	BTFSS       RCIF_bit+0, 5 
	GOTO        L_interrupt0
;MyProject.c,33 :: 		RCIF_bit = 0;             // clear int flag
	BCF         RCIF_bit+0, 5 
;MyProject.c,34 :: 		rxBuf[rx_ptr]=RCREG;      // store byte in buf
	MOVLW       _rxBuf+0
	MOVWF       FSR1L 
	MOVLW       hi_addr(_rxBuf+0)
	MOVWF       FSR1H 
	MOVF        _rx_ptr+0, 0 
	ADDWF       FSR1L, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	MOVF        RCREG+0, 0 
	MOVWF       POSTINC1+0 
;MyProject.c,35 :: 		if(rxBuf[rx_ptr] == 13)   // <CR> = ASCII 13
	MOVLW       _rxBuf+0
	MOVWF       FSR0L 
	MOVLW       hi_addr(_rxBuf+0)
	MOVWF       FSR0H 
	MOVF        _rx_ptr+0, 0 
	ADDWF       FSR0L, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	XORLW       13
	BTFSS       STATUS+0, 2 
	GOTO        L_interrupt1
;MyProject.c,37 :: 		rx_packet = 1;       // we have a full command!
	MOVLW       1
	MOVWF       _rx_packet+0 
;MyProject.c,38 :: 		asm nop;
	NOP
;MyProject.c,39 :: 		asm nop;
	NOP
;MyProject.c,40 :: 		}
L_interrupt1:
;MyProject.c,41 :: 		rx_ptr = ++rx_ptr % 16;   // inc ptr
	INCF        _rx_ptr+0, 1 
	MOVLW       15
	ANDWF       _rx_ptr+0, 1 
;MyProject.c,42 :: 		asm nop;
	NOP
;MyProject.c,43 :: 		}
L_interrupt0:
;MyProject.c,44 :: 		asm nop;
	NOP
;MyProject.c,45 :: 		asm nop;
	NOP
;MyProject.c,46 :: 		}
L_end_interrupt:
L__interrupt7:
	RETFIE      1
; end of _interrupt

_main:

;MyProject.c,49 :: 		void main()
;MyProject.c,51 :: 		init_main();                 // initialize MCU
	CALL        _init_main+0, 0
;MyProject.c,53 :: 		while(1)
L_main2:
;MyProject.c,55 :: 		if(rx_packet)           // got a packet?
	MOVF        _rx_packet+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main4
;MyProject.c,57 :: 		decode_rs232();      // decode it
	CALL        _decode_rs232+0, 0
;MyProject.c,58 :: 		rx_packet = 0;       // reset flag
	CLRF        _rx_packet+0 
;MyProject.c,59 :: 		asm nop;
	NOP
;MyProject.c,60 :: 		}
L_main4:
;MyProject.c,61 :: 		}
	GOTO        L_main2
;MyProject.c,62 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
