
#include "uart.h"

/* init for PIC18 series */
void init_main (void){
      ADCON1 |= 0x0F;      // Configure AN pins as digital
      CMCON  |= 7;         // Disable comparators
      INTCON2.B7 = 0;      // enable pullups on port b
      TRISB = 0;           // use port b for this example
      PORTB = 0;
      
      /* UART */
      rs232_init();
      asm nop;
      asm nop;

      /* start up interrupts - I put the RCIP as HIGH PRIORITY
      */
      IPEN_bit = 1;        // enable hi/lo prioritires
      RCIP_bit = 1;        // hi priority
      RCIE_bit = 1;        // rs232 interrupt en
      GIEL_bit = 1;        // all interrupts ON
      GIEH_bit = 1;        // all interrupts ON
      asm nop;
      asm nop;
}


void interrupt(void) //or 'int_hi_priority() iv 0x0008'
{
      if (RCIF_bit)
      {
              RCIF_bit = 0;             // clear int flag
              rxBuf[rx_ptr]=RCREG;      // store byte in buf
              if(rxBuf[rx_ptr] == 13)   // <CR> = ASCII 13
              {
                   rx_packet = 1;       // we have a full command!
                   asm nop;
                   asm nop;
              }
              rx_ptr = ++rx_ptr % 16;   // inc ptr
              asm nop;
      }
      asm nop;
      asm nop;
}


void main() 
{
     init_main();                 // initialize MCU

     while(1)
     {
          if(rx_packet)           // got a packet?
          {
             decode_rs232();      // decode it
             rx_packet = 0;       // reset flag
             asm nop;
          }
     }
}